# Pantalaimon UT

End-to-end encryption aware Matrix reverse proxy daemon for Ubuntu Touch.

[source code](https://git.sr.ht/~thrrgilag/pantalaimon-ut) -
[issue tracker](https://todo.sr.ht/~thrrgilag/pantalaimon-ut) -
[mailing list](https://lists.sr.ht/~thrrgilag/pantalaimon-ut) -
[releases](https://git.sr.ht/~thrrgilag/pantalaimon-ut/refs)

## TODO

- [x] About page
- [x] App icon
- [x] Fix image fetching (fixed in fluffychat)
- [x] Cross compile python+pantalaimon
- [ ] Import/export keys
- [ ] Ability to verify, ignore, or blacklist devices
- [ ] Release on open-store.io

## Known Issues

* Previously encrypted messages cannot be decrypted
* No user interaction to verify, ignore, or blacklist devices

## Build for armhf

```sh
git clone https://git.sr.ht/~thrrgilag/pantalaimon-ut
git submodule update --init
clickable build-libs --arch armhf
clickable --arch armhf
```

## Build for arm64

```sh
git clone https://git.sr.ht/~thrrgilag/pantalaimon-ut
git submodule update --init
clickable build-libs --arch arm64
clickable --arch arm64
```

## Contributing

Send patches to
[~thrrgilag/pantalaimon-ut@lists.sr.ht](https://lists.sr.ht/~thrrgilag/pantalaimon-ut)

A tutorial for git send-email can be found at [git-send-email.io](https://git-send-email.io/) 
if you're not familiar with this method.

Bugs can be filed at https://todo.sr.ht/~thrrgilag/pantalaimon-ut

## License

Copyright (C) 2021  Morgan McMillian

Licensed under the Apache Software License 2.0
